Intermittent test_profile_management.py TestLog.test_in_app_restart_the_browser | application crashed [@ libc-2.15.so + 0x3ac0c]

RESOLVED WORKSFORME

Status

()

Core
JavaScript Engine
RESOLVED WORKSFORME
2 years ago
a year ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({crash, intermittent-failure})

Trunk
x86_64
Linux
crash, intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox43 affected)

Details

(Reporter)

Description

2 years ago
Stack makes me nervous.

10:38:47 INFO - TEST-START | test_profile_management.py TestLog.test_in_app_restart_the_browser
10:38:52 INFO - mozcrash Downloading symbols from: https://queue.taskcluster.net/v1/task/R4UmH9poQO-qyMYbmgZkEg/artifacts/public/build/firefox-43.0a1.en-US.linux-x86_64.crashreporter-symbols.zip
10:39:04 INFO - mozcrash Saved minidump as /builds/slave/test/build/blobber_upload_dir/4e61d4c1-b104-b831-33d15cf6-7681cce6.dmp
10:39:04 INFO - mozcrash Saved app info as /builds/slave/test/build/blobber_upload_dir/4e61d4c1-b104-b831-33d15cf6-7681cce6.extra
10:39:04 ERROR - PROCESS-CRASH | test_profile_management.py TestLog.test_in_app_restart_the_browser | application crashed [@ libc-2.15.so + 0x3ac0c]
10:39:04 INFO - Crash dump filename: /tmp/tmpouPx7K.mozrunner/minidumps/4e61d4c1-b104-b831-33d15cf6-7681cce6.dmp
10:39:04 INFO - Operating system: Linux
10:39:04 INFO - 0.0.0 Linux 3.2.0-76-generic #111-Ubuntu SMP Tue Jan 13 22:16:09 UTC 2015 x86_64
10:39:04 INFO - CPU: amd64
10:39:04 INFO - family 6 model 62 stepping 4
10:39:04 INFO - 1 CPU
10:39:04 INFO - Crash reason: SIGBUS
10:39:04 INFO - Crash address: 0x0
10:39:04 INFO - Thread 38 (crashed)
10:39:04 INFO - 0 libc-2.15.so + 0x3ac0c
10:39:04 INFO - rbx = 0x00007f7e854afb48 r12 = 0x0000000000005a54
10:39:04 INFO - r13 = 0x00007f7ea067b43d r14 = 0x0000000000000000
10:39:04 INFO - r15 = 0x0000000000000002 rip = 0x00007f7ea053ac0c
10:39:04 INFO - rsp = 0x00007f7e6f7fe680 rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: given as instruction pointer in context
10:39:04 INFO - 1 libc-2.15.so + 0xb163d
10:39:04 INFO - rip = 0x00007f7ea05b163e rsp = 0x00007f7e6f7fe6c0
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 2 libc-2.15.so + 0xb196a
10:39:04 INFO - rip = 0x00007f7ea05b196b rsp = 0x00007f7e6f7fe6e0
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 3 libc-2.15.so + 0xb0578
10:39:04 INFO - rip = 0x00007f7ea05b0579 rsp = 0x00007f7e6f7fe6f0
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 4 libxul.so!js::DateTimeInfo::updateTimeZoneAdjustment() [DateTime.cpp:9300342ec9f0 : 102 + 0x4]
10:39:04 INFO - rip = 0x00007f7e96f47aa1 rsp = 0x00007f7e6f7fe700
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 5 libxul.so!JSRuntime::initSelfHosting(JSContext*) [SelfHosting.cpp:9300342ec9f0 : 1602 + 0x4]
10:39:04 INFO - rip = 0x00007f7e96f8de76 rsp = 0x00007f7e6f7fe710
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 6 libxul.so!js::gc::GCRuntime::refillFreeListFromAnyThread(js::ExclusiveContext*, js::gc::AllocKind, unsigned long) [Allocator.cpp:9300342ec9f0 : 290 + 0x4]
10:39:04 INFO - rip = 0x00007f7e950cc6a5 rsp = 0x00007f7e6f7fe750
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 7 firefox!je_malloc [jemalloc.c:9300342ec9f0 : 1685 + 0x4]
10:39:04 INFO - rip = 0x0000000000419a70 rsp = 0x00007f7e6f7fe760
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 8 libxul.so!js::gc::GCRuntime::updateMallocCounter(JS::Zone*, unsigned long) [Atomics.h:9300342ec9f0 : 561 + 0xb]
10:39:04 INFO - rip = 0x00007f7e951c48a1 rsp = 0x00007f7e6f7fe770
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 9 libxul.so!JSCompartment::init(JSContext*) [jscompartment.cpp:9300342ec9f0 : 119 + 0xe]
10:39:04 INFO - rip = 0x00007f7e970e88b1 rsp = 0x00007f7e6f7fe7b0
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 10 libxul.so!js::NewCompartment(JSContext*, JS::Zone*, JSPrincipals*, JS::CompartmentOptions const&) [jsgc.cpp:9300342ec9f0 : 6529 + 0x4]
10:39:04 INFO - rip = 0x00007f7e9711d7cd rsp = 0x00007f7e6f7fe7d0
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
10:39:04 INFO - 11 libxul.so!JSRuntime::transformToPermanentAtoms(JSContext*) [jsatom.cpp:9300342ec9f0 : 282 + 0xb]
10:39:04 INFO - rip = 0x00007f7e950b3048 rsp = 0x00007f7e6f7fe800
10:39:04 INFO - rbp = 0x5a5a5a5a5a5a5a5a
10:39:04 INFO - Found by: stack scanning
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 22

2 years ago
16 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* b2g-inbound: 6
* mozilla-inbound: 3
* mozilla-central: 3
* fx-team: 3
* try: 1

Platform breakdown:
* windows8-64: 10
* windows7-32: 4
* osx-10-6: 1
* osx-10-10: 1

For more details, see:
http://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1193479&startday=2015-09-28&endday=2015-10-04&tree=all

Comment 23

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-beta: 1
* fx-team: 1
* b2g-inbound: 1

Platform breakdown:
* windows8-64: 4
* windows7-32: 1
* osx-10-6: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1193479&startday=2015-10-05&endday=2015-10-11&tree=all
Having this still open makes me nervous.
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.